Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am trying to install phpmyadmin on my web server with Windows 2008 and iis 7.

PHP is running fine and I have several sites that rely on it. When installing phpmyadmin - it has errors at the bottom that crypt and mbstring are not properly installed.

When I try to add the php_mcrypt.dll and/or the php_mbstring.dll to the php.ini file (I verified the location and the right file through phpinfo) it crashes. I get a 500 error on all the websites, and I get an error on the server saying FastCGI has failed.

Does anyone know how to fix this or why it is happening? Shouldn't I be able to add extenstions? I have the dll files in the extension folder, which is referenced in the php.ini and other extensions (installed previously) are working as expected.

Other info: php version 5.2.8, pdo driver for mysql version 5.0.51a

Thanks in advance!

share|improve this question

2 Answers 2

It's been a while since I've needed to use it, but I think that that php_mcrypt.dll requires libmcrypt.dll. That DLL doesn't come with PHP, so you have to hunt it down and find it separately. PHP's mcrypt documentation points to http://files.edin.dk/php/win32/mcrypt/ for the libmcrypt.dll binary.

php_mbstring.dll shouldn't have any dependencies.

share|improve this answer
    
Both files exist both under the Windows/system32 directory and under the php/ext directory - still get 'cgi/fastcgi stopped working' after adding the extension to the php.ini file –  Christy May 4 '10 at 17:38

do you have any errors in the error log? (I don't know about IIS but apache's got an error log in /var/log/apache) What about starting php from the command line? Does it print any errors?

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.